## org.h2.engine
Interface SessionFactory

All Known Implementing Classes:
  SessionFactoryEmbedded, SessionRemote

    public interface SessionFactory

A class that implements this interface can create new database sessions.

Method Summary
`SessionInterface` `createSession(ConnectionInfo ci)` Create a new session.

Method Detail

### createSession

    SessionInterface createSession(ConnectionInfo ci)
                                   throws java.sql.SQLException

  Create a new session.

  Parameters:
    `ci` - the connection parameters
  Returns:
    the new session
  Throws:
    `java.sql.SQLException`